# elite_api

This is a simple python library that can:
* Retrieve and store select data on <http://inara.cz>.
* Retrieve data from the Elite: Dangerous Companion API.


### inara.py

The inara module subclasses requests_cache.core.CachedSession to provide a specialized
HTTP session to talk to inara. Usage is simple:

    from inara.inara import InaraSession

    session = InaraSession(inara_username, inara_password)
    session.update_location('Chona')
    session.update_credits(1000000000)
    info = session.get_cmdr_info()
    pprint(info)


If the logged-in user is a member of a Wing, you can get information about wing-mates like so:

    info = session.get_cmdr_info(wing_id, cmdr_id)

where the 'id's are the numeric identifiers visible in inara's URLs.


### companion.py

This module just provides a cleaner interface on top of the companion module from the
Elite Dangerous Market Connector.
